summaryrefslogtreecommitdiffstats
path: root/academic/gtypist
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-11 22:21:34 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:21:34 +0200
commit8a0c2da0efef4c99fc67a9723d208fb0d58207c0 (patch)
treea954ee5bd3b09ba4ca273c18d96a061d10d74b9e /academic/gtypist
parentb81553072a9ecb976a99c20ae58431ae73b4cfd4 (diff)
downloadslackbuilds-8a0c2da0efef4c99fc67a9723d208fb0d58207c0.tar.gz
slackbuilds-8a0c2da0efef4c99fc67a9723d208fb0d58207c0.tar.xz
academic/gtypist: Updated for version 2.8.1
Diffstat (limited to 'academic/gtypist')
-rw-r--r--academic/gtypist/README17
-rw-r--r--academic/gtypist/gtypist.SlackBuild66
-rw-r--r--academic/gtypist/gtypist.info12
-rw-r--r--academic/gtypist/slack-desc2
4 files changed, 48 insertions, 49 deletions
diff --git a/academic/gtypist/README b/academic/gtypist/README
index 959dd913fc..59ecc7502f 100644
--- a/academic/gtypist/README
+++ b/academic/gtypist/README
@@ -1,6 +1,11 @@
-GNU Typist (or gtypist) is free software that assists you in
-learning to type correctly.
-
-It is intended to be used on a raw terminal without graphics. It
-has been compiled and used in Unix (GNU/Linux, Aix, Solaris, openBSD)
-and also in DOS/Windows (DOS 6.22, Windows 98).
+GNU Typist (also called gtypist) is a universal typing tutor. You can
+learn correct typing and improve your skills by practicing its exercises
+on a regular basis.
+
+Its main features are:
+It comes with several typing tutorials: in Czech, English (Qwerty and
+Dvorak keyboard), Russian and Spanish, as well as simpler exercices in
+German, French and Norwegian.
+It interprets a simple and intuitive scripting language that describes
+typing tutorials. You can easily modify existing tutorials or create new
+ones according to your needs.
diff --git a/academic/gtypist/gtypist.SlackBuild b/academic/gtypist/gtypist.SlackBuild
index 2f9dce5c7d..29c654333b 100644
--- a/academic/gtypist/gtypist.SlackBuild
+++ b/academic/gtypist/gtypist.SlackBuild
@@ -2,35 +2,14 @@
# Slackware build script for gtypist
-# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Modified by the SlackBuilds.org project
-
-set -e
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
PRGNAM=gtypist
-VERSION=2.7
+VERSION=${VERSION:-2.8.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -40,39 +19,54 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS QUESTIONS README THANKS TODO"
+
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
-
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info
+
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
( cd $PKG/usr/man
- find . -type f -name '*.[1-9]' -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-gzip -9 $PKG/usr/info/*.info
rm -f $PKG/usr/info/dir
-
+gzip -9 $PKG/usr/info/*.info*
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS QUESTIONS README \
- THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/academic/gtypist/gtypist.info b/academic/gtypist/gtypist.info
index ade21d88f3..98b4232b54 100644
--- a/academic/gtypist/gtypist.info
+++ b/academic/gtypist/gtypist.info
@@ -1,8 +1,8 @@
PRGNAM="gtypist"
-VERSION="2.7"
+VERSION="2.8.1"
HOMEPAGE="http://www.gnu.org/software/gtypist/"
-DOWNLOAD="ftp://ftp.gnu.org/gnu/gtypist/gtypist-2.7.tar.bz2"
-MD5SUM="200d42de9a0070866d88116112370f0a"
-MAINTAINER="Martin Lefebvre"
-EMAIL="dadexter@gmail.com"
-APPROVED="rworkman"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/gtypist/gtypist-2.8.1.tar.bz2"
+MD5SUM="88f1b19602a656494e44a1ce8f9e5318"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="dsomero"
diff --git a/academic/gtypist/slack-desc b/academic/gtypist/slack-desc
index 22f24b0230..43a5823271 100644
--- a/academic/gtypist/slack-desc
+++ b/academic/gtypist/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-gtypist: GNU Typist (Typing Tutor)
+gtypist: GNU Typist (Universal Typing Tutor)
gtypist:
gtypist: GNU Typist (or gtypist) is free software that assists you in
gtypist: learning to type correctly.